Bug 842074 - gpgme cannot provide passphrase to gpg2
gpgme cannot provide passphrase to gpg2
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gpgme (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Frantisek Kluknavsky
BaseOS QE Security Team
: Regression
Depends On:
Blocks: 1308754
  Show dependency treegraph
 
Reported: 2012-07-21 14:12 EDT by Miroslav Vadkerti
Modified: 2017-07-19 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2012-07-21 14:12:40 EDT
Description of problem:

# volume_key --save -o packet-phrase /dev/loop0
Passphrase for `/dev/loop0': 
New packet passphrase: 
Repeat new packet passphrase: 
volume_key: Error creating `packet-phrase': GPGME: Invalid crypto engine

gpgme package is installed on the system

Version-Release number of selected component (if applicable):
volume_key-0.3.8-1.el7

How reproducible:
100%

Steps to Reproduce:
1. Create a luks device (for example on loop)
2. volume_key --save -o packet-phrase /dev/loop0
  
Actual results:
volume_key: Error creating `packet-phrase': GPGME: Invalid crypto engine

Expected results:
Passphrase packet successfully created
Comment 1 Miloslav Trmač 2012-07-23 11:37:26 EDT
Thanks for your report.  As a work-around, (yum install gnupg).
Comment 2 Miloslav Trmač 2012-07-23 12:13:51 EDT
Fixed in rawhide volume_key-0.3.8-3.fc18 , rhel7 build to follow.
Comment 3 Miloslav Trmač 2012-08-06 15:12:35 EDT
Dependency added in volume_key-0.3.8-4.el7 , and it should fix the error message from comment 0 - but please re-test, I'm pretty sure you'll run into #637902 (... and then this bug should be reassigned).

Note You need to log in before you can comment on or make changes to this bug.